Changeset 2660 for ThirdParty/ASL


Ignore:
Timestamp:
Dec 1, 2012 1:38:31 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2620 r2660  
    10711071                          icl/link). Default when mentioned: mingw. Default
    10721072                          when not mentioned: disabled.
     1073  --enable-static-standardlibs
     1074                          whether to link against static standard libraries
     1075                          (libgcc, libgfortran, libstdc++)
    10731076  --enable-static[=PKGS]
    10741077                          build static libraries [default=no]
     
    19381941echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19391942  fi
     1943
     1944
     1945
     1946# check whether to add flags for static linking against standard libraries
     1947# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1948if test "${enable_static_standardlibs+set}" = set; then
     1949  enableval="$enable_static_standardlibs"
     1950  case "$enableval" in
     1951     no | yes | auto ) ;;
     1952     *)
     1953       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1954echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1955   { (exit 1); exit 1; }; } ;;
     1956   esac
     1957   use_static_standardlibs=$enableval
     1958else
     1959  if test $enable_shared = yes ; then
     1960     use_static_standardlibs = no
     1961   else
     1962     use_static_standardlibs = auto
     1963   fi
     1964
     1965
     1966fi;
     1967
     1968
    19401969
    19411970
     
    30643093    CFLAGS="$OPT_CFLAGS"
    30653094  fi
     3095
    30663096else
    30673097  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32313261    ;;
    32323262esac
     3263
     3264# check whether to add flags for static linking against standard libraries to LDFLAGS
     3265if test x$use_static_standardlibs != xno ; then
     3266  case $build in
     3267    *-mingw*)
     3268      static_standardlib_flag=-static
     3269      ;;
     3270    *)
     3271      static_standardlib_flag=-static-libgcc
     3272      ;;
     3273  esac
     3274  case " $LDFLAGS " in
     3275    *" $static_standardlib_flag "* ) ;;
     3276    *)
     3277    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3278echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3279    coin_save_LDFLAGS="$LDFLAGS"
     3280    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3281    cat >conftest.$ac_ext <<_ACEOF
     3282/* confdefs.h.  */
     3283_ACEOF
     3284cat confdefs.h >>conftest.$ac_ext
     3285cat >>conftest.$ac_ext <<_ACEOF
     3286/* end confdefs.h.  */
     3287
     3288int
     3289main ()
     3290{
     3291int i=0;
     3292  ;
     3293  return 0;
     3294}
     3295_ACEOF
     3296rm -f conftest.$ac_objext conftest$ac_exeext
     3297if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3298  (eval $ac_link) 2>conftest.er1
     3299  ac_status=$?
     3300  grep -v '^ *+' conftest.er1 >conftest.err
     3301  rm -f conftest.er1
     3302  cat conftest.err >&5
     3303  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3304  (exit $ac_status); } &&
     3305         { ac_try='test -z "$ac_c_werror_flag"
     3306                         || test ! -s conftest.err'
     3307  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3308  (eval $ac_try) 2>&5
     3309  ac_status=$?
     3310  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3311  (exit $ac_status); }; } &&
     3312         { ac_try='test -s conftest$ac_exeext'
     3313  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3314  (eval $ac_try) 2>&5
     3315  ac_status=$?
     3316  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3317  (exit $ac_status); }; }; then
     3318  echo "$as_me:$LINENO: result: yes" >&5
     3319echo "${ECHO_T}yes" >&6
     3320else
     3321  echo "$as_me: failed program was:" >&5
     3322sed 's/^/| /' conftest.$ac_ext >&5
     3323
     3324echo "$as_me:$LINENO: result: no" >&5
     3325echo "${ECHO_T}no" >&6
     3326       LDFLAGS="$coin_save_LDFLAGS"
     3327       if test $use_static_standardlibs = yes ; then
     3328         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3329echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3330   { (exit 1); exit 1; }; }
     3331       fi
     3332
     3333fi
     3334rm -f conftest.err conftest.$ac_objext \
     3335      conftest$ac_exeext conftest.$ac_ext
     3336    ;;
     3337  esac
     3338fi
    32333339
    32343340ac_ext=c
     
    48534959*-*-irix6*)
    48544960  # Find out which ABI we are using.
    4855   echo '#line 4855 "configure"' > conftest.$ac_ext
     4961  echo '#line 4961 "configure"' > conftest.$ac_ext
    48564962  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48574963  (eval $ac_compile) 2>&5
     
    64526558
    64536559# Provide some information about the compiler.
    6454 echo "$as_me:6454:" \
     6560echo "$as_me:6560:" \
    64556561     "checking for Fortran 77 compiler version" >&5
    64566562ac_compiler=`set X $ac_compile; echo $2`
     
    75197625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75207626   -e 's:$: $lt_compiler_flag:'`
    7521    (eval echo "\"\$as_me:7521: $lt_compile\"" >&5)
     7627   (eval echo "\"\$as_me:7627: $lt_compile\"" >&5)
    75227628   (eval "$lt_compile" 2>conftest.err)
    75237629   ac_status=$?
    75247630   cat conftest.err >&5
    7525    echo "$as_me:7525: \$? = $ac_status" >&5
     7631   echo "$as_me:7631: \$? = $ac_status" >&5
    75267632   if (exit $ac_status) && test -s "$ac_outfile"; then
    75277633     # The compiler can only warn and ignore the option if not recognized
     
    77877893   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77887894   -e 's:$: $lt_compiler_flag:'`
    7789    (eval echo "\"\$as_me:7789: $lt_compile\"" >&5)
     7895   (eval echo "\"\$as_me:7895: $lt_compile\"" >&5)
    77907896   (eval "$lt_compile" 2>conftest.err)
    77917897   ac_status=$?
    77927898   cat conftest.err >&5
    7793    echo "$as_me:7793: \$? = $ac_status" >&5
     7899   echo "$as_me:7899: \$? = $ac_status" >&5
    77947900   if (exit $ac_status) && test -s "$ac_outfile"; then
    77957901     # The compiler can only warn and ignore the option if not recognized
     
    78917997   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78927998   -e 's:$: $lt_compiler_flag:'`
    7893    (eval echo "\"\$as_me:7893: $lt_compile\"" >&5)
     7999   (eval echo "\"\$as_me:7999: $lt_compile\"" >&5)
    78948000   (eval "$lt_compile" 2>out/conftest.err)
    78958001   ac_status=$?
    78968002   cat out/conftest.err >&5
    7897    echo "$as_me:7897: \$? = $ac_status" >&5
     8003   echo "$as_me:8003: \$? = $ac_status" >&5
    78988004   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    78998005   then
     
    1023610342  lt_status=$lt_dlunknown
    1023710343  cat > conftest.$ac_ext <<EOF
    10238 #line 10238 "configure"
     10344#line 10344 "configure"
    1023910345#include "confdefs.h"
    1024010346
     
    1033610442  lt_status=$lt_dlunknown
    1033710443  cat > conftest.$ac_ext <<EOF
    10338 #line 10338 "configure"
     10444#line 10444 "configure"
    1033910445#include "confdefs.h"
    1034010446
     
    1268012786   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1268112787   -e 's:$: $lt_compiler_flag:'`
    12682    (eval echo "\"\$as_me:12682: $lt_compile\"" >&5)
     12788   (eval echo "\"\$as_me:12788: $lt_compile\"" >&5)
    1268312789   (eval "$lt_compile" 2>conftest.err)
    1268412790   ac_status=$?
    1268512791   cat conftest.err >&5
    12686    echo "$as_me:12686: \$? = $ac_status" >&5
     12792   echo "$as_me:12792: \$? = $ac_status" >&5
    1268712793   if (exit $ac_status) && test -s "$ac_outfile"; then
    1268812794     # The compiler can only warn and ignore the option if not recognized
     
    1278412890   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1278512891   -e 's:$: $lt_compiler_flag:'`
    12786    (eval echo "\"\$as_me:12786: $lt_compile\"" >&5)
     12892   (eval echo "\"\$as_me:12892: $lt_compile\"" >&5)
    1278712893   (eval "$lt_compile" 2>out/conftest.err)
    1278812894   ac_status=$?
    1278912895   cat out/conftest.err >&5
    12790    echo "$as_me:12790: \$? = $ac_status" >&5
     12896   echo "$as_me:12896: \$? = $ac_status" >&5
    1279112897   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1279212898   then
     
    1435414460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1435514461   -e 's:$: $lt_compiler_flag:'`
    14356    (eval echo "\"\$as_me:14356: $lt_compile\"" >&5)
     14462   (eval echo "\"\$as_me:14462: $lt_compile\"" >&5)
    1435714463   (eval "$lt_compile" 2>conftest.err)
    1435814464   ac_status=$?
    1435914465   cat conftest.err >&5
    14360    echo "$as_me:14360: \$? = $ac_status" >&5
     14466   echo "$as_me:14466: \$? = $ac_status" >&5
    1436114467   if (exit $ac_status) && test -s "$ac_outfile"; then
    1436214468     # The compiler can only warn and ignore the option if not recognized
     
    1445814564   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1445914565   -e 's:$: $lt_compiler_flag:'`
    14460    (eval echo "\"\$as_me:14460: $lt_compile\"" >&5)
     14566   (eval echo "\"\$as_me:14566: $lt_compile\"" >&5)
    1446114567   (eval "$lt_compile" 2>out/conftest.err)
    1446214568   ac_status=$?
    1446314569   cat out/conftest.err >&5
    14464    echo "$as_me:14464: \$? = $ac_status" >&5
     14570   echo "$as_me:14570: \$? = $ac_status" >&5
    1446514571   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1446614572   then
     
    1666516771   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1666616772   -e 's:$: $lt_compiler_flag:'`
    16667    (eval echo "\"\$as_me:16667: $lt_compile\"" >&5)
     16773   (eval echo "\"\$as_me:16773: $lt_compile\"" >&5)
    1666816774   (eval "$lt_compile" 2>conftest.err)
    1666916775   ac_status=$?
    1667016776   cat conftest.err >&5
    16671    echo "$as_me:16671: \$? = $ac_status" >&5
     16777   echo "$as_me:16777: \$? = $ac_status" >&5
    1667216778   if (exit $ac_status) && test -s "$ac_outfile"; then
    1667316779     # The compiler can only warn and ignore the option if not recognized
     
    1693317039   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1693417040   -e 's:$: $lt_compiler_flag:'`
    16935    (eval echo "\"\$as_me:16935: $lt_compile\"" >&5)
     17041   (eval echo "\"\$as_me:17041: $lt_compile\"" >&5)
    1693617042   (eval "$lt_compile" 2>conftest.err)
    1693717043   ac_status=$?
    1693817044   cat conftest.err >&5
    16939    echo "$as_me:16939: \$? = $ac_status" >&5
     17045   echo "$as_me:17045: \$? = $ac_status" >&5
    1694017046   if (exit $ac_status) && test -s "$ac_outfile"; then
    1694117047     # The compiler can only warn and ignore the option if not recognized
     
    1703717143   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1703817144   -e 's:$: $lt_compiler_flag:'`
    17039    (eval echo "\"\$as_me:17039: $lt_compile\"" >&5)
     17145   (eval echo "\"\$as_me:17145: $lt_compile\"" >&5)
    1704017146   (eval "$lt_compile" 2>out/conftest.err)
    1704117147   ac_status=$?
    1704217148   cat out/conftest.err >&5
    17043    echo "$as_me:17043: \$? = $ac_status" >&5
     17149   echo "$as_me:17149: \$? = $ac_status" >&5
    1704417150   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1704517151   then
Note: See TracChangeset for help on using the changeset viewer.